Bug 995123 - OpenJDK not installed by installer
OpenJDK not installed by installer
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.1
Unspecified Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Og Maciel
https://github.com/Katello/katello/pu...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 11:10 EDT by Chuck Schweizer
Modified: 2014-04-24 13:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Schweizer 2013-08-08 11:10:03 EDT
Description of problem:
install_packages does not install OpenJDK

Version-Release number of selected component (if applicable):
Satellite-6.0.1-RHEL-6-20130628.1-Satellite-x86_64-dvd1.iso


How reproducible:


Steps to Reproduce:
1. Make sure java-1.7.0-oracle is installed
2. Make sure OpenJDK is not installed
3. Run install_packages

Actual results:
OpenJDK is not installed

Expected results:
OpenJDK is installed

Additional info:
We do not install OpenJDK by default on our systems.
Comment 1 RHEL Product and Program Management 2013-09-17 00:20:03 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 Mike McCune 2013-09-17 17:42:02 EDT
Will work to get katello-configure to warn or remove any packages that are conflicting.
Comment 5 Ivan Necas 2013-10-22 04:20:23 EDT
I have troubles reproducing the issue, as silly as not being able to find java-1.7.0-oracle package anywhere. Could you give me a hint on the place where to find it?
Comment 6 Ivan Necas 2013-10-22 04:36:37 EDT
I'm sorry, I've just noticed I have no supplementary packages enabled.
Comment 7 Ivan Necas 2013-10-22 04:57:23 EDT
Proposed patch https://github.com/Katello/katello/pull/3240
Comment 10 Og Maciel 2013-11-06 11:01:27 EST
Before installing katello-foreman-all:

# rpm -qa | grep java
java-1.7.0-oracle-1.7.0.45-1jpp.2.el6_4.x86_64
tzdata-java-2012j-1.el6.noarch
java-1.7.0-oracle-src-1.7.0.45-1jpp.2.el6_4.x86_64

After installation:

[root@qetello01 ~]# rpm -qa | grep java
java-1.7.0-oracle-1.7.0.45-1jpp.2.el6_4.x86_64
java-1.6.0-openjdk-1.6.0.0-1.65.1.11.13.el6_4.x86_64
glassfish-javamail-1.4.4-6_redhat_1.ep6.el6.1.noarch
jboss-javaee-poms-5.0.1-2.9.ep5.el6.noarch
java_cup-0.10k-5.el6.x86_64
sigar-java-1.6.5-0.12.git58097d9h.el6_3.x86_64
tzdata-java-2012j-1.el6.noarch
java-1.7.0-oracle-src-1.7.0.45-1jpp.2.el6_4.x86_64
javassist-3.9.0-6.el6.noarch
java-1.5.0-gcj-1.5.0.0-29.1.el6.x86_64
snappy-java-1.0.4-2.el6_4.x86_64
Comment 11 Og Maciel 2013-11-06 11:11:39 EST
[root@qetello01 ~]# java -version
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.13) (rhel-1.65.1.11.13.el6_4-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)
Comment 12 Garik Khachikyan 2013-11-06 11:16:28 EST
# REOPEN

having 1.7.0 somehow installed already on the system, install/configure fails on posttrans of katello:

scenario is: do manually have installed java-1.7.0-openjdk and then setup Sat6 instance.

run:
%posttrans all
# make sure we use openjdk as default
/usr/sbin/alternatives --set java \
    $(echo | /usr/sbin/alternatives --config java | grep -o '\S*openjdk\S*')

we need to have this situation fixed to tell `alternatives` to use 1.6.0 as the default i believe ?
Comment 13 Ivan Necas 2013-11-06 11:37:18 EST
The proposed fix for the multi-openjdk installation case:

https://github.com/Katello/katello/pull/3328
Comment 14 Chuck Schweizer 2013-11-06 11:46:03 EST
To make the test case better also install java-1.7.0-oracle-devel

This made it so that I had to install 
java-1.6.0-openjdk-devel  

and set javac

/usr/sbin/alternatives --set javac /usr/lib/jvm/java-1.6.0-openjdk.x86_64/bin/javac
Comment 17 Garik Khachikyan 2013-11-07 12:04:02 EST
# VERIFIED

SNAP9 has the fix.

had installed: jdk-7u45-linux-x64.rpm and making install does open-1.6.0-openjdk install.

===
alternatives --config java

There is 2 program that provides 'java'.

  Selection    Command
-----------------------------------------------
*+ 1           /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
   2           /usr/lib/jvm/jre-1.5.0-gcj/bin/java
===

# rpm -q java-1.6.0-openjdk
java-1.6.0-openjdk-1.6.0.0-1.65.1.11.14.el6_4.x86_64

# java -version
java version "1.6.0_24"
OpenJDK Runtime Environment (IcedTea6 1.11.14) (rhel-1.65.1.11.14.el6_4-x86_64)
OpenJDK 64-Bit Server VM (build 20.0-b12, mixed mode)
Comment 18 Bryan Kearney 2014-04-24 13:08:40 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.